/*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef PROJECT_H
#define PROJECT_H

#include <QString>

#include "project_options.h"
#include "project_times.h"
#include "project_files.h"
#include "project_fdistr.h"

class project : public project_options,     //takes all the options for the sync/anal-process
                public project_times,       //takes all the times which are recordet during the sync/anal-process
                public project_files,       //takes all the filelists, folder-paths for the sync/anal-process
                public project_fdistr       //takes all information of the file distribution (modified,existant,.. files)
{
public:
    project();
    ~project();

    QString get_proFilepath(void);
    void set_proFilepath(QString);
    QString get_end_status(void);
    void set_end_status(QString);

    void clear_all(void);

    QString temp;


private:
    QString proFilepath;
    QString end_status;


};

#endif // PROJECT_H
