/*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include "summary.h"
#include "ui_summary.h"

summary::summary(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::summary)
{
    ui->setupUi(this);
}

summary::~summary()
{
    delete ui;
}

#ifdef tr

#endif
void summary::act_gui()
{
    ui->tl_end->setText(tr("End: ") + pro->get_end_time().toString());
    ui->tl_start->setText(tr("Start: ") + pro->get_start_time().toString());
    ui->tl_time->setText(tr("Elapsed: ") + QString().number(QTime().secsTo(pro->get_end_time()) - QTime().secsTo(pro->get_start_time()))+tr(" Seconds"));
    ui->tl_files->setText(tr("Files: ") + QString().number(pro->get_file_count()));

    if(pro->is_canceled())
        ui->tl_status->setText("Canceled by user");
    else
        ui->tl_status->setText("Process successful");

    if(process) //analyse
    {

        ui->tl_copied_files->setText(tr("Files to copy: ") + QString().number(pro->get_nex_files()));
    }
    else        //sync
    {
        ui->tl_copied_files->setText(tr("Copied Files: ") + QString().number(pro->get_nex_files()));
    }
}

void summary::set_project(project *v,bool value)
{
   pro = v;
   process = value;
   act_gui();
}

void summary::on_pbtn_close_clicked()
{
    hide();
}
